# Interface LogEntry

Describes an entry to write to the log.

interface LogEntry {
error?: Error;
level: LogLevel;
message: string;
messageArgs: unknown[];
messageResource?: string;
time: Date;
}

#####
Index

### Properties

error?
level
message
messageArgs
messageResource?
time

##
Properties

### `Optional` error

error?: Error

An error associated with this log entry.

### level

level: LogLevel

The log level.

### message

message: string

The message to log. It has already been fully formatted and translated.

### messageArgs

messageArgs: unknown[]

Values for positional placeholders in the message string.

### `Optional` messageResource

messageResource?: string

The language resource key corresponding to the message if one was provided. This can be used along with messageArgs to re-translate the message into other languages.

### time

time: Date

The timestamp indicating when the entry was created.